
Redmine - Feature #18043

Links to anchors inside the page should be pagename-independent

2014-10-07 13:04 - Matteo Steccolini

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

To have links internal to a document, I have to do something like this:

some text, see [[Pagename#Chapter2|Chapter2]] for more information.

[...]

h3. Chapter2

 It would be great if the link was:

[[#Chapter2|Chapter2]]

 I think we should consider this as related to #10689, for internal links in exported PDF documents.

My environment:

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   2.1.3-p242 (2014-09-19) [x86_64-linux-gnu]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Mercurial                      3.1

  Cvs                            1.12.13

  Git                            2.1.0

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Defect #10689: PDF export prints brackets on wiki links Closed

Related to Redmine - Defect #21730: Local links (#jumpToHere) are not exporte... New

Is duplicate of Redmine - Patch #16313: Allow to link to an anchor of the cur... Closed

History

#1 - 2014-10-07 13:08 - Toshi MARUYAMA

- Description updated

#2 - 2014-10-07 13:10 - Toshi MARUYAMA

- Related to Defect #10689: PDF export prints brackets on wiki links added

#3 - 2014-10-07 14:29 - Fernando Hartmann

+1 Very useful

#4 - 2016-01-14 17:25 - Toshi MARUYAMA

- Related to Defect #21730: Local links (#jumpToHere) are not exported as references inside an exported PDF added
#5 - 2019-10-01 05:49 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The feature has been delivered in Redmine 4.0.0 (#16313).

#6 - 2019-10-01 05:49 - Go MAEDA

- Is duplicate of Patch #16313: Allow to link to an anchor of the current wikipage added
